Subject: Re: RFC 6921 on Design Considerations for Faster-Than-Light (FTL) Communication

From: Abdussalam Baryun <[email-masked]>
Date: Tue, 2 Apr 2013 02:45:43 +0200

RFC6921>It is well known that as we approach the speed of light, time
slows down.
AB> I know that time slows for something when it is in speed of light,
but communication is not something moving. If the packet is in speed
of light we may reduce the comm-delay but never less than zero. The
communication times don't change if at least one communicator is not
moving in light speed.

My comment is that I think this RFC is not logical, and I don't
understand its recommendations. There is no way that a packet can be
received before send, packet-time never changes communicators-time
while the positions of both Tx and Rx are semi-fixed (change is
relative to communicators' times not their signal). I think the
communication-times may change when the communicators are at/above
speed of light not the signal/packet. Is my physics correct?

AB

On 4/1/13, [email-masked] <[email-masked]> wrote:
> A new Request for Comments is now available in online RFC libraries.
>
>
>         RFC 6921
>
>         Title:      Design Considerations for Faster-Than-Light (FTL)
>                     Communication
>         Author:     R. Hinden
>         Status:     Informational
>         Stream:     Independent
>         Date:       1 April 2013
>         Mailbox:    [email-masked]
>         Pages:      7
>         Characters: 15100
>         Updates/Obsoletes/SeeAlso:   None
>
>         I-D Tag:    draft-hinden-FTL-design-considerations-00.txt
>
>         URL:        http://www.rfc-editor.org/rfc/rfc6921.txt
>
> We are approaching the time when we will be able to communicate
> faster than the speed of light.  It is well known that as we approach
> the speed of light, time slows down.  Logically, it is reasonable to
> assume that as we go faster than the speed of light, time will
> reverse.  The major consequence of this for Internet protocols is
> that packets will arrive before they are sent.  This will have a
> major impact on the way we design Internet protocols.  This paper
> outlines some of the issues and suggests some directions for
> additional analysis of these issues.
>
>
> INFORMATIONAL: This memo provides information for the Internet community.
> It does not specify an Internet standard of any kind. Distribution of
> this memo is unlimited.
>
> This announcement is sent to the IETF-Announce and rfc-dist lists.
> To subscribe or unsubscribe, see
>   http://www.ietf.org/mailman/listinfo/ietf-announce
>   http://mailman.rfc-editor.org/mailman/listinfo/rfc-dist
>
> For searching the RFC series, see http://www.rfc-editor.org/rfcsearch.html.
> For downloading RFCs, see http://www.rfc-editor.org/rfc.html.
>
> Requests for special distribution should be addressed to either the
> author of the RFC in question, or to [email-masked].  Unless
> specifically noted otherwise on the RFC itself, all RFCs are for
> unlimited distribution.
>
>
> The RFC Editor Team
> Association Management Solutions, LLC
>
>
>

---

From: Abdussalam Baryun <[email-masked]>
Date: Tue, 2 Apr 2013 02:49:46 +0200

Delete
>The communication times don't change if at least one communicator is not
> moving in light speed.

AB> I meant the communication times MAY change if at least one
communicator is moving in light speed.

On 4/2/13, Abdussalam Baryun <[email-masked]> wrote:
>> For searching the RFC series, see
>> http://www.rfc-editor.org/rfcsearch.html.

---

From: SM <[email-masked]>
Date: Mon, 01 Apr 2013 18:49:14 -0700

The words in this message are to be interpreted as described in RFC 6919.

Here are some considerations for Faster-Than-Light Communication (see 
RFC 6921).

  *  Bring value when you send a message.  Do not seek value.

     Value-seeking questions such as, "What are you doing tonight?" make people
     sound too needy and also fail to inspire any emotion in the person whom
     they are communicating with.

  *  Avoid sending too many messages.

     This is meant to keep someone who is interested in a person from sounding
     too desperate or like they have no reason to live other than to 
send messages.

  *  Keep it simple, stupid.

     The whole point of communicating with a person is to make the 
person get the
     point without being long-winded, which can be boring.

Regards,
-sm

---

From: <[email-masked]>
Date: Tue, 2 Apr 2013 11:41:56 +0100

Kids! Remember, if we're not bright enough to do physics, we can always do engineering, the slow younger brother of physics! But if engineering is too difficult, there's always computer science, where terms like "bandwidth" mean what we want them to mean. And if even that's too hard, there's always the arts-and-crafts knitted-my-own-shawl-or-at-least-drew-an-okay-pattern-for-it trade of 'Internet Engineering', and writing RFCs.

And we can achieve that RFC goal easily by getting in the back door with an April 1 RFC! Every April 1 there's a reminder and inspiration to us all!

Lloyd Wood
http://sat-net.com/L.Wood/

Time's arrow is written --------&gt;

---

From: Ted Lemon <[email-masked]>
Date: Tue, 2 Apr 2013 13:31:43 +0000

On Apr 2, 2013, at 6:41 AM, [email-masked] wrote:
> Kids! Remember, if we're not bright enough to do physics, we can always do engineering, the slow younger brother of physics!

Is your point that if we do an engineering solution, that will slow things down enough that we won't have packet ordering problems?

---

From: Bob Hinden <[email-masked]>
Date: Tue, 2 Apr 2013 09:19:52 -0700

AB,

> speed of light not the signal/packet. Is my physics correct?

Only time will tell.

Bob

---

From: Loa Andersson <[email-masked]>
Date: Fri, 05 Apr 2013 10:47:37 +0200

Bob,

thinking about this and assuming that the FTL Communication are deployed
in a not too far distant future, wouldn't we have started to receive
packets that was sent in the future already now?

/Loa

-- 

Loa Andersson                        email: [email-masked]
Senior MPLS Expert                          [email-masked]
Huawei Technologies (consultant)     phone: +46 739 81 21 64

---

From: Dave Cridland <[email-masked]>
Date: Fri, 5 Apr 2013 10:03:38 +0100

> packets that was sent in the future already now?

Indeed, and this tells us that publication of this was important, since
we'll need to be in a position to handle the issues that will occur much
sooner than deployment, and for that matter development of the technology.

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 05 Apr 2013 10:11:12 +0100

> sooner than deployment, and for that matter development of the technology.

If the announcement of the RFC had arrived on March 31st, that would have
demonstrated running code.

---

From: "Adrian Farrel" <[email-masked]>
Date: Fri, 5 Apr 2013 10:12:10 +0100

So instead of asking the community "do you have an intention to implement and
deploy?" we should ask "have you already been going to have implemented and
deployed yet?"

>> thinking about this and assuming that the FTL Communication are
>> deployed in a not too far distant future, wouldn't we have started
>> to receive packets that was sent in the future already now?
>
> Indeed, and this tells us that publication of this was important,
> since we'll need to be in a position to handle the issues that will
> occur much sooner than deployment, and for that matter
> development of the technology.

---

From: Loa Andersson <[email-masked]>
Date: Fri, 05 Apr 2013 11:40:29 +0200

> demonstrated running code.

Are you sure that this was not published April 1, 2014 or even 2015??

/Loa

--

---

From: Michael Richardson <[email-masked]>
Date: Fri, 05 Apr 2013 09:58:46 -0400

>>>>> "Loa" == Loa Andersson <[email-masked]> writes:
    Loa> thinking about this and assuming that the FTL Communication are deployed
    Loa> in a not too far distant future, wouldn't we have started to receive
    Loa> packets that was sent in the future already now?

I for one, have always found these Crocker brothers suspicious: always
seem to have been at the key points in Internet future history.
I think that they are in fact a single person.  
One is going forward in time, and the other one backwards. 
(Which is which, is still open to debate)

So I claim that we  will have been receiving packets from the future for
some time now.

-- 
]               Never tell me the odds!                 | ipv6 mesh networks [ 
]   Michael Richardson, Sandelman Software Works        | network architect  [ 
]     [email-masked]  http://www.sandelman.ca/        |   ruby on rails    [

---

From: Steve Crocker <[email-masked]>
Date: Fri, 5 Apr 2013 22:09:10 +0800

I too have always found at least one of the Crocker brothers {suspicious, smart, funny, irrelevant, prescient, handsome, annoying, etc.}. I've never been able to tell which is which :)

Sent from my iPad

---

From: John C Klensin <[email-masked]>
Date: Fri, 05 Apr 2013 10:26:21 -0400

--On Friday, April 05, 2013 10:03 +0100 Dave Cridland
<[email-masked]> wrote:

>...
> Indeed, and this tells us that publication of this was
> important, since we'll need to be in a position to handle the
> issues that will occur much sooner than deployment, and for
> that matter development of the technology.
>...

Don't we already have demonstrations of this in the number of
systems that are deployed before being developed?

   john

---

From: Spencer Dawkins <[email-masked]>
Date: Fri, 05 Apr 2013 09:29:29 -0500

> I too have always found at least one of the Crocker brothers {suspicious, smart, funny, irrelevant, prescient, handsome, annoying, etc.}. I've never been able to tell which is which :)

There are days when I'm really glad to be part of this community ...

Spencer

---

From: Ted Lemon <[email-masked]>
Date: Fri, 5 Apr 2013 14:35:27 +0000

> There are days when I'm really glad to be part of this community ...

Yes, but the question is, is this such a day?   :)

---

From: Bob Hinden <[email-masked]>
Date: Fri, 5 Apr 2013 09:42:15 -0700

Loa,

> packets that was sent in the future already now?

See Section 5.  It may be already be happening...

Bob

---

From: "Wes Beebee (wbeebee)" <[email-masked]>
Date: Fri, 5 Apr 2013 17:12:34 +0000

Or use the FTL to predict the company stock price so that you get rich
without
implementing anything.

- Wes

---

From: Dave Crocker <[email-masked]>
Date: Fri, 05 Apr 2013 10:47:55 -0700

On 4/5/2013 6:58 AM, Michael Richardson wrote:
>> deployed Loa in a not too far distant future, wouldn't we have
>> started to receive Loapackets that was sent in the future already
>> now?
 >
> I for one, have always found these Crocker brothers suspicious:

wtf?  Is this some sort of demonstration that the IETF has its own
variation of Godwin's Law at work?

> On 4/5/2013 7:09 AM, Steve Crocker wrote:> I too have always found at
> least one of the Crocker brothers {suspicious, smart, funny,
> irrelevant, prescient, handsome, annoying, etc.}. I've never been
> able to tell which is which :)

I usually can.

But given the context, I'm reminded of a brief exchange I had many years 
ago with Steve:

      I'd just read Azimov's "The Last Question"[*] which was about 
Azimov's ultimate computer, Multivac, taking eons to consider the 
question "can entropy be reversed?"  The story is a series of snapshots, 
with that generation's version of Multivac always concluding that it 
doesn't yet have enough information but it will continue to consider 
this interesting question.  At the end, with humanity long gone and it's 
own existence continuing only for considering the question it uses its 
last metaphysical ounce of energy, to say/think/whatever: Let there be 
light!

     Steve said he didn't like that ending.  Instead, he said, he'd have 
had the computer say/think/whatever: No.

d/

[*] http://en.wikipedia.org/wiki/The_Last_Question
-- 
  Dave Crocker
  Brandenburg InternetWorking
  bbiw.net

---

From: Dave Cridland <[email-masked]>
Date: Fri, 5 Apr 2013 21:59:53 +0100

Actually, getting rich without implementing anything seems to happen quite
often enough these days - it's called acquisition.

---

From: James Polk <[email-masked]>
Date: Fri, 05 Apr 2013 18:11:57 -0500

At 03:59 PM 4/5/2013, Dave Cridland wrote:
>Actually, getting rich without implementing anything seems to happen 
>quite often enough these days - it's called acquisition.

or be a Kardashian

>On Fri, Apr 5, 2013 at 6:12 PM, Wes Beebee (wbeebee) 
><<mailto:[email-masked]>[email-masked]> wrote:
>On 4/5/13 5:12 AM, "Adrian Farrel" 
><<mailto:[email-masked]>[email-masked]> wrote:
>

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 06 Apr 2013 08:21:25 +0100

On 05/04/2013 18:12, Wes Beebee (wbeebee) wrote:
> without implementing anything.

That's terrible for the IETF. It completely nullifies the NomCom
random selection process; all the suggestions in RFC 3797 seem
to be blown away by this.

   Brian

---

From: Ted Lemon <[email-masked]>
Date: Sat, 6 Apr 2013 11:50:06 +0000

> to be blown away by this.

This seems like exactly the sort of problem that Jari's cross-area draft is intended to address.